{
  "id": "ac455995d3e7b921e08dbe30",
  "source": "http",
  "type": "go-function",
  "title": "http.func ProxyFromEnvironment ¶",
  "content": "# http.func ProxyFromEnvironment ¶\n\n```\nfunc ProxyFromEnvironment(req *Request) (*url.URL, error)\n```\n\nProxyFromEnvironment returns the URL of the proxy to use for a\ngiven request, as indicated by the environment variables\nHTTP_PROXY, HTTPS_PROXY and NO_PROXY (or the lowercase versions\nthereof). Requests use the proxy from the environment variable\nmatching their scheme, unless excluded by NO_PROXY.",
  "url": "https://pkg.go.dev/http#func ProxyFromEnvironment ¶",
  "metadata": {
    "examples": "null",
    "import_path": "Standard library/net/http",
    "kind": "function",
    "package": "http",
    "signature": "func ProxyFromEnvironment(req *Request) (*url.URL, error)",
    "symbol": "func ProxyFromEnvironment ¶"
  },
  "hash": "16576362fe0ebca2feba8f0a4c6966f9a2d924353bcf807bbdc16c8076b5408a",
  "timestamp": "2026-02-19T12:17:17.237512145+01:00"
}